Subject: [Trans] Fwd: [art] Call for Consensus: Re: On BCP 190

From: Melinda Shore <[email-masked]>
Date: Mon, 19 Aug 2019 23:00:53 -0800

Hi, all:  I'm still digging out from having been away
for several weeks, plus fires to put out at $dayjob, but
I'd like to call your attention to a call for consensus
on the art (application area) mailing list on BCP 190.
The original discussion was driven by Adam's DISCUSS on
6962-bis, and interested parties really ought to weigh
in on this.

Melinda

-------- Forwarded Message --------
Subject: [art] Call for Consensus: Re:  On BCP 190
Date: Fri, 2 Aug 2019 15:15:14 -0500
From: Adam Roach <[email-masked]>
To: Mark Nottingham <[email-masked]>, Jacob Hoffman-Andrews
<[email-masked]>
CC: ART Area <[email-masked]>, Devon O'Brien <[email-masked]>

For the purposes of clearing my discuss, I intend to read the responses
to Mark's message below as a reflection of consensus from the community.
If you have thoughts on the topic, please weigh in on the ART-area
mailing list no later than Friday, August 16th.

People who have participated in the discussion in TRANS are very much
welcome to re-express their opinions in this thread. I'm also hoping
that we get some input from other participants -- even if it's something
as simple as "this sounds good to me" -- to make sure all relevant
perspectives are taken into account.

Thanks!

/a

On 8/2/19 1:55 PM, Mark Nottingham wrote:
> It sounds like you (collectively) want an exception in BCP190 still, correct?
>
> If so, I think we just need to craft some language about that for inclusion in the spec; I'd imagine it need only be a sentence or two about it. Then the AD(s) need to convince themselves that it reflects consensus.
>
> The underlying issue is the text in 2.3 of BCP190; I think the emerging consensus is that it's too strict, in that it can be read to preclude using a prefix approach with a MUST NOT, when in fact the potential harm to other applications / the Web overall is pretty small.
>
> Does anyone disagree with that?
>
> Cheers,
>
>
>> On 31 Jul 2019, at 2:10 pm, Jacob Hoffman-Andrews <[email-masked]> wrote:
>>
>> On Sat, Jul 27, 2019 at 11:26 PM Larry Masinter <[email-masked]> wrote:
>> The use of / in the path of URLs was supposed to
>>
>> be restricted to hierarchical data, and yet CT doesn’t
>> do that.
>>
>> http://masinter.blogspot.com/2019/05/on-nature-of-hierarchical-urls.html
>>
>>
>> CT and all prefix-using APIs do that, with a single level hierarchy. The domain owner specifies a prefix, ending with a "/". All of the URLs that are part of the API follow that prefix - they are subordinate in the hierarchy.
>>
>> Coming back to the main point: What remains in order to find consensus on this issue?
>>
>> Thanks,
>> Jacob
> --
> Mark Nottingham   https://www.mnot.net/
>
> _______________________________________________
> art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/art

_______________________________________________
art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/art